petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMNetworkSetSizes

Sets the local and global vertices and edges.

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkSetSizes(DM dm, PetscInt nV, PetscInt nE, PetscInt NV, PetscInt NE)

Collective on DM Many br

### Input Parameters

| dm | - the dm object Many br
| nV | - number of local vertices Many br
| nE | - number of local edges Many br
| NV | - number of global vertices (or PETSC_DETERMINE) Many br
| NE | - number of global edges (or PETSC_DETERMINE) Many br

Notes Many brIf one processor calls this with NV (NE) of PETSC_DECIDE then all processors must, otherwise the prgram will hang. Many br

You cannot change the sizes once they have been set Many br

Many br

### See Also

DMNetworkCreate

Level:intermediate
Location:src/dm/impls/network/network.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages